Name:          mqtt-client
Version:       1.5
Release:       1%{?dist}
Summary:       A Java MQTT Client
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://mqtt-client.fusesource.org/
Source0:       https://github.com/fusesource/mqtt-client/archive/%{name}-project-%{version}.tar.gz

BuildRequires: java-devel
BuildRequires: fusesource-pom

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: hawtbuf
BuildRequires: hawtdispatch-transport
BuildRequires: objectweb-asm

# test deps (*)
%if 0
BuildRequires: mvn(org.apache.activemq:apollo-broker)
BuildRequires: mvn(org.apache.activemq:apollo-mqtt)
BuildRequires: mvn(org.apache.activemq:apollo-leveldb)
BuildRequires: mvn(org.apache.activemq:apollo-web)
BuildRequires: mvn(org.eclipse.jetty.aggregate:jetty-all-server)

BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
%endif

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      hawtbuf
Requires:      hawtdispatch-transport
Requires:      objectweb-asm

Requires:      java
BuildArch:     noarch

%description
mqtt-client provides an ASL 2.0 licensed API to MQTT. It takes care of 
automatically reconnecting to your MQTT server and restoring your client 
session if any network failures occur. Applications can use a blocking 
API style, a futures based API, or a callback/continuations passing API 
style.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# fix spurious executable perm
chmod 644 readme.md

%pom_disable_module mqtt-client-java1.4-uber
%pom_disable_module mqtt-client-website

%pom_remove_plugin :proguard-maven-plugin %{name}

%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope='test']" %{name}

%build

# test skip for unavailable deps (*)
mvn-rpmbuild -Dmaven.test.skip=true package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 %{name}/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 %{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}-project.pom
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc license.txt readme.md

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.5-1
- update to 1.5

* Thu Aug 30 2012 gil cattaneo <puntogil@libero.it> 1.3-1
- update to 1.3

* Tue May 22 2012 gil cattaneo <puntogil@libero.it> 1.2-1
- initial rpm